Skip to main content
`Ctrl`+`K`

# numpy.char.endswith

char.endswith(a, suffix, start=0, end=None)

  Returns a boolean array which is True where the string element in `a` ends with `suffix`, otherwise False.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    suffix array-like, with `StringDType`, `bytes_`, or `str_` dtype
    start, end array_like, with any integer dtype

      With `start`, test beginning at that position. With `end`, stop comparing at that position.

  Returns:
    out ndarray

      Output array of bools

  See also

  `str.endswith`

  Examples

      >>> import numpy as np
      >>> s = np.array(['foo', 'bar'])
      >>> s
      array(['foo', 'bar'], dtype='<U3')
      >>> np.strings.endswith(s, 'ar')
      array([False,  True])
      >>> np.strings.endswith(s, 'a', start=1, end=2)
      array([False,  True])